Admin Sector: Expense Requests
Create Expense Request
Create a new Expense Request (e.g., Disbursement / Cash Advance).
POST
/
api
/
v1
/
expense-requests
Create Expense Request
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/expense-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1,
"requesterId": "<string>",
"requestType": "cash_advance",
"currency": "VND",
"paymentMethod": "employee_cash_advance",
"supplierId": "<string>",
"notes": "<string>",
"linkedAdvanceRequestId": "<string>",
"lineItems": [
{
"description": "<string>",
"amount": 1,
"quantity": "1",
"unitPrice": 123,
"supplierId": "<string>",
"managementAccountId": "<string>",
"receiptUrl": "<string>"
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/expense-requests"
payload = {
"amount": 1,
"requesterId": "<string>",
"requestType": "cash_advance",
"currency": "VND",
"paymentMethod": "employee_cash_advance",
"supplierId": "<string>",
"notes": "<string>",
"linkedAdvanceRequestId": "<string>",
"lineItems": [
{
"description": "<string>",
"amount": 1,
"quantity": "1",
"unitPrice": 123,
"supplierId": "<string>",
"managementAccountId": "<string>",
"receiptUrl": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 1,
requesterId: '<string>',
requestType: 'cash_advance',
currency: 'VND',
paymentMethod: 'employee_cash_advance',
supplierId: '<string>',
notes: '<string>',
linkedAdvanceRequestId: '<string>',
lineItems: [
{
description: '<string>',
amount: 1,
quantity: '1',
unitPrice: 123,
supplierId: '<string>',
managementAccountId: '<string>',
receiptUrl: '<string>'
}
]
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/expense-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"requesterId": "<string>",
"requestType": "<string>",
"paymentMethod": "<string>",
"totalAmount": "<string>",
"currency": "<string>",
"status": "<string>",
"paidAmount": 0,
"usedAmount": 0,
"supplierId": "<string>",
"notes": "<string>",
"linkedAdvanceRequestId": "<string>",
"sourceTemplateId": "<string>",
"createdAt": "<string>",
"lineItems": [
{
"id": "<string>",
"expenseRequestId": "<string>",
"description": "<string>",
"amount": "<string>",
"quantity": "<string>",
"unitPrice": "<string>",
"supplierId": "<string>",
"managementAccountId": "<string>",
"receiptUrl": "<string>",
"createdAt": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Required range:
x > 0Show child attributes
Show child attributes
Response
Successful Response
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Show child attributes
Show child attributes
Previous
List Request BillsList all bills linked to an expense request, with billed/paid totals and the
variance vs the request's approved amount.
Next
⌘I
Create Expense Request
